Bug 834484 - Arrow keys don't work in Search Bar drop down
Arrow keys don't work in Search Bar drop down
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 22:21 EDT by Mike Thompson
Modified: 2013-09-03 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Thompson 2012-06-21 22:21:28 EDT
Description of problem:
The arrow keys don't work for navigating the query results under the search bar found in the inventory tab.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Goto inventory tab
2.pick all resources from resources on the left
3. type 'avail' in search bar
4. try to use the arrow keys to get to the search results under the search bar. 
  
Actual results:
You must click on the search bar results 


Expected results:
I should be able to click or to use arrow keys (and possibly tab).
Comment 1 Charles Crouch 2012-07-03 11:13:59 EDT
This is only an issue in RHQ4.4 and earlier, this issue is fixed in master and will be in RHQ4.5 with the new search bar impl
Comment 2 Mike Thompson 2012-09-24 11:45:14 EDT
This issue goes away with new search bar in RHQ 4.5. I tested this is the case with RHQ 4.5 release.
Comment 3 Jeeva Kandasamy 2012-11-22 02:03:56 EST
Verified. Works as expected.
Browser: FireFox ESR 10.0.7
OS: Red Hat Linux 6.3 X64

RHQ 
Version: 4.6.0-SNAPSHOT
Build Number: 2ae8bc1
GWT Version: 2.5.0
SmartGWT Version: 3.0
Comment 4 Heiko W. Rupp 2013-09-03 12:55:24 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.